<!DOCTYPE html>

<html data-ng-app="newSpotWizard" ng-strict-di>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,height=device-height,initial-scale=1.0" />
    <link rel="stylesheet" href="../../assets/bootstrap/css/bootstrap.css">
    <link rel="stylesheet" href="../../assets/jquery-wizard/css/wizard.min.css">
    <link rel="stylesheet" href="../../assets/less/scaffolding.less">
    <link rel="stylesheet" href="../../assets/less/normalize.less">
    <link rel="stylesheet" href="../../assets/css/custom.min.css">
    <link rel="stylesheet" href="../newSpotWizard/newSpotWizard.css">
</head>

<body data-ng-app="newSpotWizard" ng-strict-di ng-controller="NewSpotWizardController">
    <div class="col-md-11" id="background">
        <div id="wizard" class="form_wizard wizard_horizontal">
            <ul class="wizard_steps anchor">
                <li>
                    <a rel="1" isdone="1" class="selected" href="#step-1" ng-click="changeStep(1)">
                        <span class="step_no">1</span>
                        <span class="step_descr">Animation<br>
                    </span>
                    </a>
                </li>
                <li>
                    <a rel="2" isdone="0" class="disabled" href="#step-2" ng-click="changeStep(2)">
                        <span class="step_no">2</span>
                        <span class="step_descr">Content<br>
                    </span>
                    </a>
                </li>
                <li>
                    <a rel="3" isdone="0" class="disabled" href="#step-3" ng-click="changeStep(3)">
                        <span class="step_no">3</span>
                        <span class="step_descr">Duration<br>
                  </span>
                    </a>
                </li>
                <li>
                    <a rel="4" isdone="0" class="disabled" href="#step-4" ng-click="changeStep(4)">
                        <span class="step_no">4</span>
                        <span class="step_descr">Layout<br>
                    </span>
                    </a>
                </li>
            </ul>

            <div class="stepContainer">
                <div style="display: block;" class="content" id="step-1">
                    <div class="col-md-4 col-md-offset-4 " id="showUpAnimation">
                        <div class="col-md-6 animation_font_size">
                            Show-Up Animation
                        </div>
                        <div class="col-md-6">
                            <select id="showUpAnimationValue" class="lists" ng-change="setEntryAnimation()" ng-model="entryAnimValue1" ng-options="x for x in showUpAnimation" required>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4 col-md-offset-4 " id="closeAnimation">
                        <div class="col-md-6 animation_font_size">
                            Close Animation
                        </div>
                        <div class="col-md-6">
                            <select id="closeAnimationValue" class="lists" ng-change="setExitAnimation()" ng-model="exitAnimValue" ng-options="x for x in closeAnimation" required>
                        </select>
                        </div>
                    </div>
                </div>
                <div style="display: none;" class="content" id="step-2">
                    <div class="col-md-4 col-md-offset-4 " id="showUpAnimation">
                        <div class="col-md-6 animation_font_size">
                            Insert File
                        </div>
                        <div class="col-md-6">
                            <label class="lists" for="upload">Browse</label>
                            <input type="file" id="upload" name="file" multiple ng-files="getTheFiles($files)" />
                            <button ng-click="uploadFiles()">Upload Images</button>
                        </div>
                    </div>
                </div>
                <div style="display: none;" class="content" id="step-3">
                    <div class="col-md-4 col-md-offset-4 " id="showUpAnimation">
                        <div class="col-md-6 animation_font_size">
                            Duration
                        </div>
                        <div class="col-md-6">
                            <!--<input id="duration" type="text" class="lists" ng-change="setDuration()" ng-model="durationValue" />-->
                            <number-only-input id="duration" input-value="wks.number" class="lists" input-name="wks.name" />
                        </div>
                    </div>
                </div>
                <div style="display: none;" class="content" id="step-4">
                    <div class="col-md-6 col-md-offset-3 ">
                        <div class="gridStyle col-md-9 col-md-offset-1" ng-grid="gridOptions">
                            <div class="col-md-4" ng-repeat="images in imageBorders">
                                <a href="" ng-click="enableImageBorder($index)">
                                    <img id="{{images.id}}" ng-class="{'imageBorder': images.active}" src="{{images.src}}" class="img-rounded" alt="Cinque Terre" width="183" height="160">
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="../../assets/jquery/jquery.min.js"></script>
    <script src="../../assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="../../assets/js/custom.min.js"></script>
    <script src="../../assets/jquery-wizard/jquery-wizard.min.js"></script>
    <script src="../../assets/jquery-wizard/jquery-smart-wizard.js"></script>
    <script src="../../assets/angular/angular.min.js"></script>
    <script src="../../assets/angular/angular-base64.min.js"></script>
    <script src="../../assets/angular-file-saver/file-saver.min.js"></script>
    <script src="../../assets/angular-file-saver/angular-file-saver.bundle.min.js"></script>
    <script src="../../assets/angular-file-saver/angular-file-saver.min.js"></script>
    <script src="../newSpotWizard/newSpotWizard.module.js"></script>
    <script src="../newSpotWizard/newSpotWizard.directive.js"></script>

    <!--<script type="text/javascript">
        $(document).ready(function() {
            // Smart Wizard     
            $('#wizard').smartWizard({
                onFinish: onFinishCallback
            });
            //$('#range').colResizable();

            function onFinishCallback() {
                alert("finished clicked");
            }
        });
    </script>-->

</body>

</html>